routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth.login');
});


Route::resource('barang', 'BarangController');
Route::get('/barang', 'BarangController@index')->name('indexBarang');

Route::resource('tt', 'TtController');
Route::get('/tt', 'TtController@index')->name('indexTt');

Route::resource('kembali', 'KembaliController');
Route::get('hitung', 'KembaliController@store');

Route::get('makepdfproduk','TtController@makepdf')->name('makePDF');

Route::get('printpdfproduk','TtController@printpdf')->name('cetakPDF');

Route::get('transaksi','TtController@showTransaksi')->name('showTr');

Route::get('printtransaksi','TtController@printTransaksi')->name('cetakTR');

Auth::routes();


Route::get('add', function () {
    return view('add');
});

Route::get('/home', function(){
	return redirect('/tt');
});

app/Barang.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Barang extends Model
{
    protected $table = 'barang';
    protected $primayKey = 'barang_id';
    protected $fillable = ['barang_id','nama','stok','harga_awal','discount','harga_akhir'];
}

app/Http/Controllers/BarangController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Barang;
use App\TR;
use Redirect;

class BarangController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {  $no=0;
       $barang = Barang::all();

       return view('barang.index', compact('barang','no'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        \DB::select("CALL get_IDBRG()");
        $nobar = \DB::table('idbarang')->first();
        return view('barang.create', compact('nobar'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */

    public function store(Request $request)
    {
        $id_brg = $request->idB;
        $nama = $request->nama;
        $stok = $request->stok;
        $harga_awal = $request->harga_awal;
        $discount = $request->discount;
        $harga = 100 - $discount;
        $harga_akhir = $harga_awal * $harga / 100;


        \DB::table('barang')->insert([
            'barang_id'=>$id_brg,
            'nama'=>$nama,
            'stok'=>$stok,
            'harga_awal'=>$harga_awal,
            'discount'=>$discount,
            'harga_akhir'=>$harga_akhir ]
        );

        return Redirect('/barang');  

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    
    public function edit($id)
    {
        $barang = \DB::table('barang')->where('barang_id',$id)->first();
        
        
        return view('barang.edit', compact('barang'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $nama = $request->nama;
        $stok = $request->stok;
        $harga_awal = $request->harga_awal;
        $discount = $request->discount;
        $harga = 100 - $discount;
        $harga_akhir = $harga_awal * $harga / 100;

       \DB::table('barang')
            ->where('barang_id',$id)
            ->update([            
            'nama'=>$nama,
            'stok'=>$stok,
            'harga_awal'=>$harga_awal,
            'discount'=>$discount,
            'harga_akhir'=>$harga_akhir 
            ]);
        return Redirect('/barang'); 
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        \DB::table('barang')->where('barang_id',$id)->delete();

          return Redirect('/barang'); 
    }
}

resources/views/barang/create.blade.php
@extends('layouts.app1')

@section('content')
<div class="container">
	<div class="row">
		<div class="col-md-12">
			<div class="panel panel-default">
				<div class="panel-heading">
					<h4> Tambah Produk </h4>
			  </div>
			<div class="container mt-5"> 	
				 <form action="{{ route('barang.store')}}" method="POST">                        
            {{ csrf_field() }}
         @if($errors->any())
          <div class="alert alert-danger"><ul>@foreach($errors->all() as $error)
            <li>{{ $error }}</li>
            @endforeach </ul></div>
         @endif

                <div class="col-md-6"><div class="form-group">
                      <label for="exampleInputEmail1">ID</label>
                      <input type="text" readonly name="idB" class="form-control" value = "{{ $nobar->id }}" id="exampleInputEmail1" placeholder="Nama" required="">
                </div></div>

                <div class="col-md-6"><div class="form-group">
                      <label for="exampleInputEmail1">Nama</label>
                      <input type="text" name="nama" class="form-control" value = "" id="exampleInputEmail1" placeholder="Nama" required="">
                </div></div>

                <div class="col-md-6"><div class="form-group">
                      <label for="exampleInputPassword1">Harga Awal(Rp)</label>
                      <input type="number" name="harga_awal" class="form-control" value = "" id="exampleInputPassword1" placeholder="harga awal" required="">
                </div></div>

                <div class="col-md-6"><div class="form-group">
                      <label for="exampleInputEmail1">Discount(%)</label>
                      <input type="number" name="discount" class="form-control" id="exampleInputEmail1" value = "" placeholder="Discount" required="">
                </div></div>

                <div class="col-md-6"><div class="form-group">
                      <label for="exampleInputEmail1">Stock</label>
                      <input type="text" name="stok" class="form-control" value = "" id="exampleInputEmail1" placeholder="stok" required="">
                </div></div>

                <div class="col-md-6">
                      <button type="submit" class="btn btn-primary btn-block btn-primary btn-submit">Submit</button>
                </div>
          </form>
			</div>
	</div>
</div>
</div>
</div>
@endsection

resources/views/barang/edit.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
	<div class="row">
		<div class="col-md-12">
			<div class="panel panel-default">
				<div class="panel-heading">
					<h4> Edit Produk </h4>
      	</div>
			<div class="panel-body">
			<form class="form-horizontal" role="form" method="POST" action="{{ route('barang.update',$barang->barang_id)}}">
			{{ csrf_field() }} {{ method_field('PATCH')}}
     @if($errors->any())
          <div class="alert alert-danger">
            <ul>@foreach($errors->all() as $error)
                <li>{{ $error }}</li>
                @endforeach</ul>
          </div>@endif

     			<div class="col-md-6"><div class="form-group">
                      <label for="exampleInputEmail1">Nama</label>
                      <input type="text" name="nama" class="form-control" value = "{{ $barang->nama }}" id="exampleInputEmail1" placeholder="Nama" >
          </div></div>
          <div class="col-md-6"><div class="form-group">
                      <label for="exampleInputPassword1">Harga Awal(Rp)</label>
                      <input type="number" name="harga_awal" class="form-control" value = "{{ $barang->harga_awal }}" id="exampleInputPassword1" placeholder="harga awal" >
          </div></div>
          <div class="col-md-6"><div class="form-group">
                      <label for="exampleInputEmail1">Discount(%)</label>
                      <input type="number" name="discount" class="form-control" id="exampleInputEmail1" value = "{{ $barang->discount }}" placeholder="Discount" >
          </div></div>
          <div class="col-md-6"><div class="form-group">
                      <label for="exampleInputEmail1">Stock</label>
                      <input type="text" name="stok" class="form-control" value = "{{ $barang->stok }}" id="exampleInputEmail1" placeholder="Nama" >
          </div></div>
          <div class="col-md-6">
              <button type="submit" class="btn btn-primary btn-block btn-primary btn-submit">Submit</button>
          </div>
      </form>
			</div>
	</div>
</div></div></div>
@endsection

resources/views/barang/index.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
	<div class="row">
		<div class="col-md-12">
			<div class="panel panel-default">
				<div class="row">
		     <div class="panel-heading col-10">
		        <h3>Converse Item</h3>					
		     </div>
				<div class="text-right mb-3">		
		    <a href="{{ route('barang.create')}}" class="btn btn-success pull-right" style="margin-top:-8px"> Tambah Data</a>
		   </div>
    	</div>	
	   <div class="panel-body ">{{csrf_field()}}       
      <table class="table table-striped">
        <thead class="thead-dark">
         <tr><th scope="col">ID Barang</th>
              <th scope="col">Nama Produk</th>
              <th scope="col">Stok</th>
              <th scope="col">Harga Awal</th> 
              <th scope="col">Discount</th>
              <th scope="col">Harga Akhir</th>
              <th scope="col"></th> </tr>
          </thead>
          <tbody>
          @foreach($barang as $data)
          <tr><th scope="row">{{$data -> barang_id}}</th>
              <td>{{$data -> nama}}</td>
              <td>{{$data -> stok}}</td>
              <td>@currency($data -> harga_awal)</td>
              <td>{{$data -> discount}} %</td>
              <td>@currency($data -> harga_akhir)</td>
              <td>                           
				          <form method="POST" action="{{ route('barang.destroy', $data->barang_id) }}">
					         {{ csrf_field() }} {{ method_field('DELETE')}}
					         <a href="{{ route('barang.edit', $data->barang_id) }}" class="btn btn-warning"> Edit </a>
					         <button type="submit" class="btn btn-secondary"> Hapus </button>
				          </form>              
              </td></tr>
          @endforeach
          </tbody>
        </table>
				</div>
			</div>
		</div>
	</div>
</div>
@endsection

resources/views/barang/pdf.blade.php
<!DOCTYPE html>
<html>
 <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

    <title>Produk PDF</title>
  </head>
  <body>
   <hr><h2><img src="{{('img/Logo-Converse.png')}}" height="50"> CONVERSE INVOICE </h2><hr>
      <br>
<div class="container-fluid">
<div class="row">
<div class="col-5">
  <table class="table"> 
    <tbody>
    <tr>
      <td scope="row">Invoice Number</td>
      <td> : </td>
      <td>{{$invoice -> invoice}}</td>
    </tr>
    <tr>
      <td scope="row">Invoice Date</td>
      <td> : </td>
      <td>{{$inv -> waktu_transaksi}}</td>
    </tr>
    </tbody>
  </table>
</div>
</div>

      <h4>Item</h4>
       {{csrf_field()}}       
        <table class="table table-striped">
          <thead class="thead-dark">
            <tr>
              <th scope="col">#</th>
              <th scope="col">Nama Produk</th>
              <th scope="col">Harga_Awal</th>
              <th scope="col">Diskon</th>
              <th scope="col">Harga_Akhir</th>
              <th scope="col">Qty</th>
              <th scope="col">Total</th>
            </tr>
          </thead>
         <tbody>
          @foreach($brg as $temp)
            <tr>
              <th scope="row">{{++$no}}</th>
              <th>{{$temp -> nama_barang}}</th>
              <td>@currency($temp -> harga_awal)</td>
              <td>{{$temp -> discount}} %</td>
              <td>@currency($temp -> harga_akhir)</td>
              <td>{{$temp -> qty}}</td>
              <td>@currency($temp -> total)</td>
            </tr>
          @endforeach
          </tbody>
        </table>
        <table class="table">
          <thead>
            <tr>
              <th scope="col">Detil Pembayaran</th>
              <th scope="col"></th>
              <th scope="col"></th>                            
            </tr>
          </thead>
          <tbody>
            <tr>
              <td scope="row">Total</td>
              <td>:</td>
              <td>@currency($inv->total_harga)</td>                            
            </tr>
            <tr>
              <td scope="row">Pembayaran</td>
              <td>:</td>
              <td>@currency($inv->bayar)</td>                            
            </tr>
            <tr>
              <td scope="row">Kembalian</td>
              <td>:</td>
              <td>@currency($inv->kembalian)</td>                            
            </tr>                        
          </tbody>
        </table> 
        <hr>

</div>
</body>
</html>